ISCSI-INQ(1)

NAME
iscsi-inq - Utility to request INQUIRY data from an iSCSI LUN

SYNOPSIS

iscsi-inq [ OPTIONS ] <ISCSI-URL>

iscsi-inq [-i --initiator-name=<IQN>] [-e --evpd=<INTEGER>] [-c --pagecode=<INTEGER>] [-d --debug=<INTEGER>] [-? --help] [--usage] [<ISCSI-URL>]

DESCRIPTION

iscsi-inq is a utility to request INQUIRY data from an iSCSI LUN.

ISCSI URL FORMAT

iSCSI URL format is 'iscsi://[<username>[%<password>]@]<host>[:<port>]/<target-iqn-name>/<lun>'

Username and password are only required if the target requires CHAP authentication. Optionally you can specify the username and password via the environment variables LIBISCSI_CHAP_USERNAME and LIBISCSI_CHAP_PASSWORD.

Host can be specified either as a hostname, an IPv4 address or an IPv6 address. Examples:

    	iscsi://192.0.2.1/iqn.ronnie.test/1
    	iscsi://[2001:DB8::1]:3261/iqn.ronnie.test/1
    	iscsi://ronnie%password@iscsi.example.com/iqn.ronnie.test/1

Port is the TCP port on the target to connect to. Default is 3260.

Target-iqn-name is the iqn name of the target. An iSCSI portal can have multiple targets defined. Use iscsi-ls to list all targets available on one specific portal.

LUN is the LUN number to report the INQUIRY data for.

OPTIONS

-i --initiator-name=<IQN>
    This specifies the initiator-name that iscsi-inq will use when logging in to the target.

    The default name is 'iqn.2007-10.com.github:sahlberg:libiscsi:iscsi-inq' but you can use this argument to override this. This is mainly needed for cases where the target is configured with access-control to only allow discovery logins from known initiator-names.

-e --evpd=<INTEGER>
    By default iscsi-inq will display the standard inquiry data. Specify evpd as 1 to display extended VPD pages.

-c --pagecode=<INTEGER>
    This argument specifies which VPD page to display when evpd is requested. Default is 0x00 which represents SUPPORTED VPD PAGES.

    This argument can only be used when evpd is set to 1.

-d --debug=<INTEGER>
    Debug level.

-? --help
    Display basic help text.

--usage
    Display basic usage text.

EXAMPLES

To print the standard INQUIRY page:

    	iscsi-inq iscsi://192.0.2.1/iqn.ronnie.test/1

To list available pages:

    	iscsi-inq -e 1 iscsi://192.0.2.1/iqn.ronnie.test/1

To show a specific page:

    	iscsi-inq -e 1 -c 0x80 iscsi://192.0.2.1/iqn.ronnie.test/1

SEE ALSO

iscsi-ls(1) http://github.com/sahlberg/libiscsi